net.minecraftforge.common

## Class MinecraftForge

- java.lang.Object
- - net.minecraftforge.common.MinecraftForge

-     public class MinecraftForge
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventBus` | `EVENT_BUS` The core Forge EventBusses, all events for Forge will be fired on these, you should use this to register all your listeners.
    `static java.lang.String` | `MC_VERSION`
    `static EventBus` | `ORE_GEN_BUS`
    `static EventBus` | `TERRAIN_GEN_BUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinecraftForge()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addGrassSeed(ItemStack seed, int weight)` Register a new seed to be dropped when breaking tall grass.
    `static java.lang.String` | `getBrandingVersion()`
    `static void` | `initialize()` Method invoked by FML before any other mods are loaded.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_BUS

          public static final EventBus EVENT_BUS

      The core Forge EventBusses, all events for Forge will be fired on these, you should use this to register all your listeners. This replaces every register*Handler() function in the old version of Forge. TERRAIN_GEN_BUS for terrain gen events ORE_GEN_BUS for ore gen events EVENT_BUS for everything else

    - #### TERRAIN_GEN_BUS

          public static final EventBus TERRAIN_GEN_BUS

    - #### ORE_GEN_BUS

          public static final EventBus ORE_GEN_BUS

    - #### MC_VERSION

          public static final java.lang.String MC_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MinecraftForge

          public MinecraftForge()

  - ### Method Detail

    - #### addGrassSeed

          public static void addGrassSeed(ItemStack seed,
                          int weight)

      Register a new seed to be dropped when breaking tall grass.
      Parameters:
        `seed` - The item to drop as a seed.
        `weight` - The relative probability of the seeds, where wheat seeds are 10.

    - #### initialize

          public static void initialize()

      Method invoked by FML before any other mods are loaded.

    - #### getBrandingVersion

          public static java.lang.String getBrandingVersion()